import request from './request'
const api = {
  	'getSpecialRedList': '/Program/Redpacket/getSpecialRedList',//获取 分享，商家，竞答红包
    'robRedpacket': '/Program/Redpacket/robRedpacket',//获取红包详情
    'openRedpacket': '/Program/Redpacket/openRedpacket',//打开 普通，口令红包
    'redpacketDetail': '/Program/Redpacket/redpacketDetail',//获取手气信息
    'answerQuestion': '/Program/Redpacket/answerQuestion',//获取竞答红包
    'submitAnswerQuestion': '/Program/Redpacket/submitAnswerQuestion',//答题
    'userReviveCard': '/Program/Redpacket/userReviveCard',//使用复活卡
    'openAnswerRedpacket': '/Program/Redpacket/openAnswerRedpacket',//打开竞答红包
    'openBusinessRedpacket': '/Program/Redpacket/openBusinessRedpacket',//打开商家红包
}

export const getSpecialRedList = (data) => {
	return request.get(api['getSpecialRedList'],data);
}
export const robRedpacket = (data) => {
	return request.post(api['robRedpacket'],data);
}
export const openRedpacket = (data) => {
	return request.post(api['openRedpacket'],data);
}
export const redpacketDetail = (data) => {
	return request.get(api['redpacketDetail'],data);
}
export const answerQuestion = (data) => {
	return request.post(api['answerQuestion'],data);
}
export const submitAnswerQuestion = (data) => {
	return request.post(api['submitAnswerQuestion'],data);
}
export const userReviveCard = (data) => {
	return request.post(api['userReviveCard'],data);
}
export const openAnswerRedpacket = (data) => {
	return request.post(api['openAnswerRedpacket'],data);
}
export const openBusinessRedpacket = (data) => {
	return request.post(api['openBusinessRedpacket'],data);
}
export default {
	getSpecialRedList,
	robRedpacket,
	openRedpacket,
	redpacketDetail,
	answerQuestion,
	submitAnswerQuestion,
	userReviveCard,
	openAnswerRedpacket,
	openBusinessRedpacket,
}